package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

public class StudentFeeDetailDto {

    @ApiModelProperty(value = "课程费用",required = false)
    private BigDecimal courseFee;

    @ApiModelProperty(value = "乐器费用",required = false)
    private List<StudentFeeDto> goods;

    @ApiModelProperty(value = "保证金",required = false)
    private BigDecimal depositFee;

    @ApiModelProperty(value = "实缴总额",required = false)
    private BigDecimal totalAmount;

    public BigDecimal getCourseFee() {
        return courseFee;
    }

    public void setCourseFee(BigDecimal courseFee) {
        this.courseFee = courseFee;
    }

    public List<StudentFeeDto> getGoods() {
        return goods;
    }

    public void setGoods(List<StudentFeeDto> goods) {
        this.goods = goods;
    }

    public BigDecimal getDepositFee() {
        return depositFee;
    }

    public void setDepositFee(BigDecimal depositFee) {
        this.depositFee = depositFee;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }
}
